QGIS 0.8 Preview 2 project with PostGIS Layer is not reloadable

2006-12-06 01:41 AM - Redmine Admin

Status: Closed

Priority: Low

Assignee: Gavin Macaulay -

Category: Project Loading/Saving

Affected QGIS version: Regression?: No

Operating System: RedHat Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10483

Description

A prject saved with QGIS 0.8 Preview 2 containing a [[PostGIS]] layer is not reloadable. The [[PostGIS]] provider responses with an error

message: 

ERROR:  zero-length delimited identifier at or near """" at character 15

.

SQL: select * from "" limit 1

The reason of this message is a change of the project file syntax. 

QGIS 0.8 Preview 2:

<datasource>host=localhost dbname=sogis port=5432 user=username password= table=public.standort (wkb_geometry)

sql=archive=0</datasource>

changed to

QGIS 0.8 Rev 6193

<datasource>host=localhost dbname=sogis port=5432 user=username password= table="public"."standort" (wkb_geometry)

sql="archive"=0</datasource>

Adding the double quotes let QGIS 0.8 Rev 6193 load the project.

History

#1 - 2006-12-06 11:58 AM - Gavin Macaulay -

- Status changed from Open to In Progress

#2 - 2006-12-07 01:07 AM - Gavin Macaulay -

- Resolution set to fixed

- Status changed from In Progress to Closed

Fixed in svn commit:17090c65 (SVN r6200)

#3 - 2009-08-22 12:46 AM - Anonymous

Milestone Version 0.8 deleted
